<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>	
		<record model="ir.actions.act_window" id="open_view_realisasi_skp_atasan">
            <field name="name">Penilaian SKP</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_bulanan_all_filter"/>
            <field name="domain">[('user_id_atasan','=',uid),('state','in',('propose','rejected_bkd'))]</field>
            <field name="help" type="html">
              <p >
                Menu ini khusus untuk atasan, dan menampilkan kegiatan yang harus di periksa.
              </p>
            </field>
        </record>
         <record model="ir.actions.act_window.view" id="action_menu_realisasi_skp_atasan_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_skp_tree"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_atasan"/>
		</record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_skp_atasan_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_skp_form"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_atasan"/>
		</record>
     
        <record model="ir.actions.act_window" id="open_view_realisasi_skp_banding">
            <field name="name">Penilaian Banding</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_bulanan_all_filter"/>
            <field name="domain">[('user_id_banding','=',uid),('state','=','appeal')]</field>
            <field name="help" type="html">
              <p >
               Menu ini khusus untuk atasan banding dan menampilkan realisasi yang sedang pengajuan banding 
              </p>
            </field>
        </record>
         <record model="ir.actions.act_window.view" id="action_menu_realisasi_skp_banding_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_skp_tree"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_banding"/>
		</record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_skp_banding_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_skp_form"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_banding"/>
		</record>
        
		<record model="ir.actions.act_window" id="open_view_realisasi_skp_bkd">
            <field name="name">Verifikasi SKP</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_bulanan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated'),('project_state','in',('confirm','closed'))]</field>
            <field name="help" type="html">
              <p >
                Menu khusus untuk tim verifikatur, dan menampilkan kegiatan yang harus di verifikasi.
              </p>
            </field>
        </record>
         <record model="ir.actions.act_window.view" id="action_menu_realisasi_skp_bkd_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_skp_tree"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_bkd"/>
		</record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_skp_bkd_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_skp_form"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_bkd"/>
		</record>
		
   		<record model="ir.actions.act_window" id="done_view_realisasi_skp_bkd">
            <field name="name">SKP Selesai</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_bulanan_all_filter"/>
            <field name="domain">['|',('user_id','=',uid),('user_id_bkd','=',uid),('state','=','done')]</field>
            <field name="help" type="html">
              <p >
                Menu khusus untuk tim verifikatur, dan menampilkan kegiatan yang harus di verifikasi.
              </p>
            </field>
        </record>
           <record model="ir.actions.act_window.view" id="action_done_realisasi_skp_bkd_tree_view">
				<field eval="1" name="sequence"/>
				<field name="view_mode">tree</field>
				<field name="view_id" ref="view_menu_realisasi_skp_tree"/>
				<field name="act_window_id" ref="done_view_realisasi_skp_bkd"/>
			</record>
	        <record model="ir.actions.act_window.view" id="action_done_menu_realisasi_skp_bkd_form_view">
				<field eval="2" name="sequence"/>
				<field name="view_mode">form</field>
				<field name="view_id" ref="view_menu_realisasi_skp_form"/>
				<field name="act_window_id" ref="done_view_realisasi_skp_bkd"/>
			</record>
        		<!-- Unit-->
         <record model="ir.actions.act_window" id="open_view_realisasi_skp_all">
            <field name="name">Realisasi SKP</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">['|','|',('user_id_bkd','=',uid),('user_id_atasan','=',uid),('user_id_banding','=',uid)]</field>
            <field name="help" type="html">
              <p >
                Menu ini menampilkan status kegiatan pegawai dan pegawai yang ada di bawahnya
              </p>
            </field>
        </record>
		

		<record model="ir.actions.act_window" id="open_view_realisasi_skp_all_admin">
            <field name="name">Realisasi Admin</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Menu ini menampilkan status kegiatan pegawai dan pegawai yang ada di bawahnya
              </p>
            </field>
        </record>
		
		
		
		
		
		
		
		
		<!-- Kategori --> 
		<record model="ir.actions.act_window" id="open_view_realisasi_skp_bkd_normal">
            <field name="name">Verifikasi SKP Normal</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_bulanan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated'),('target_realiasi_notsame','=',False),('biaya_verifikasi_notsame','=',False),('project_state','in',('confirm','closed'))]</field>
            <field name="help" type="html">
          		<p >
               		Selamat, tidak ada pekerjaan untuk memverifikasi kategori ini
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="open_view_realisasi_skp_bkd_normal_tree">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_skp_tree"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_bkd_normal"/>
		</record>
        <record model="ir.actions.act_window.view" id="open_view_realisasi_skp_bkd_normal_from">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_skp_form"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_bkd_normal"/>
		</record>		

		<record model="ir.actions.act_window" id="open_view_realisasi_skp_bkd_abnormal">
            <field name="name">Target Tidak Sama Dengan Realisasi</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_bulanan_all_filter"/>
			<field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated'),('target_realiasi_notsame','=',True),('biaya_verifikasi_notsame','=',False),('project_state','in',('confirm','closed'))]</field>
            <field name="help" type="html">
             <p >
               		Selamat, tidak ada pekerjaan untuk memverifikasi kategori ini
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="open_view_realisasi_skp_bkd_abnormal_tree">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_skp_tree"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_bkd_abnormal"/>
		</record>
        <record model="ir.actions.act_window.view" id="open_view_realisasi_skp_bkd_abnormal_from">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_skp_form"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_bkd_abnormal"/>
		</record>		
		<record model="ir.actions.act_window" id="open_view_realisasi_skp_bkd_biaya">
            <field name="name">Verifikasi SKP Biaya Tidak Sama</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_bulanan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated'),('target_realiasi_notsame','=',False),('biaya_verifikasi_notsame','=',True),('project_state','in',('confirm','closed'))]</field>
            <field name="help" type="html">
              <p >
               		Selamat, tidak ada pekerjaan untuk memverifikasi kategori ini
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="oopen_view_realisasi_skp_bkd_biaya_tree">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_skp_tree"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_bkd_biaya"/>
		</record>
        <record model="ir.actions.act_window.view" id="oopen_view_realisasi_skp_bkd_biaya_from">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_skp_form"/>
			<field name="act_window_id" ref="open_view_realisasi_skp_bkd_biaya"/>
		</record>		
		
		<record model="ir.actions.act_window" id="open_view_realisasi_skp_bkd_not_target">
            <field name="name">Target Belum Diterima</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_realisasi_bulanan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated'),('project_state','not in',('confirm','closed'))]</field>
            <field name="help" type="html">
              <p >
               		Menu Untuk Target Yang Belum Diterima
              </p>
            </field>
        </record>
        <menuitem action="open_view_realisasi_skp_bkd_not_target" id="view_realisasi_skp_bkd_not_target"  
			name="Target Belum Diterima" parent="view_realisasi_skp_bkd_category_status"   
			sequence="13" groups="group_project_evaluated_bkd" />
	</data>
</openerp>